Megosztás a következőn keresztül:


Private Link Resources - List By Server

Lekéri az SQL Server privát kapcsolati erőforrásait.

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/servers/{serverName}/privateLinkResources?api-version=2025-01-01

URI-paraméterek

Name In Kötelező Típus Description
resourceGroupName
path True

string

minLength: 1
maxLength: 90

Az erőforráscsoport neve. A név nem megkülönbözteti a kis- és nagybetűket.

serverName
path True

string

A kiszolgáló neve.

subscriptionId
path True

string (uuid)

A cél-előfizetés azonosítója. Az értéknek UUID-nek kell lennie.

api-version
query True

string

minLength: 1

A művelethez használandó API-verzió.

Válaszok

Name Típus Description
200 OK

PrivateLinkResourceListResult

Az Azure működése sikeresen befejeződött.

Other Status Codes

ErrorResponse

Váratlan hibaválasz.

Biztonság

azure_auth

Azure Active Directory OAuth2 Flow.

Típus: oauth2
Folyamat: implicit
Engedélyezési URL: https://login.microsoftonline.com/common/oauth2/authorize

Hatókörök

Name Description
user_impersonation a felhasználói fiók megszemélyesítése

Példák

Mintakérelem

GET https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default/providers/Microsoft.Sql/servers/test-svr/privateLinkResources?api-version=2025-01-01

Mintaválasz

{
  "value": [
    {
      "name": "plr",
      "type": "Microsoft.Sql/servers/privateLinkResources",
      "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default/providers/Microsoft.Sql/servers/test-svr/privateLinkResources/plr",
      "properties": {
        "groupId": "sqlServer",
        "requiredMembers": [
          "sqlServer"
        ]
      }
    }
  ]
}

Definíciók

Name Description
createdByType

Az erőforrást létrehozó identitás típusa.

ErrorAdditionalInfo

Az erőforrás-kezelési hiba további információi.

ErrorDetail

A hiba részletei.

ErrorResponse

Hibaválasz

PrivateLinkResource

Privát kapcsolati erőforrás

PrivateLinkResourceListResult

Egy PrivateLinkResource listaművelet válasza.

PrivateLinkResourceProperties

Egy privát kapcsolati erőforrás tulajdonságai.

systemData

Az erőforrás létrehozásával és utolsó módosításával kapcsolatos metaadatok.

createdByType

Az erőforrást létrehozó identitás típusa.

Érték Description
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

Az erőforrás-kezelési hiba további információi.

Name Típus Description
info

object

A további információk.

type

string

A további információtípus.

ErrorDetail

A hiba részletei.

Name Típus Description
additionalInfo

ErrorAdditionalInfo[]

A hiba további információi.

code

string

A hibakód.

details

ErrorDetail[]

A hiba részletei.

message

string

A hibaüzenet.

target

string

A hiba célpontja.

ErrorResponse

Hibaválasz

Name Típus Description
error

ErrorDetail

A hibaobjektum.

PrivateLinkResource

Privát kapcsolati erőforrás

Name Típus Description
id

string (arm-id)

Az erőforrás teljes erőforrás-azonosítója. Például: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

name

string

Az erőforrás neve

properties

PrivateLinkResourceProperties

A privát kapcsolat erőforráscsoport-azonosítója.

systemData

systemData

Azure Resource Manager metaadat, amely createdBy és modifiedBy információkat tartalmaz.

type

string

Az erőforrás típusa. Például: "Microsoft. Compute/virtualMachines" vagy "Microsoft. Tárhely/tárolásFiókok"

PrivateLinkResourceListResult

Egy PrivateLinkResource listaművelet válasza.

Name Típus Description
nextLink

string (uri)

A következő oldalra mutató link

value

PrivateLinkResource[]

A PrivateLinkResource elemek ezen a lapon

PrivateLinkResourceProperties

Egy privát kapcsolati erőforrás tulajdonságai.

Name Típus Description
groupId

string

A privát kapcsolat erőforráscsoport-azonosítója.

requiredMembers

string[]

A privát kapcsolat erőforrásának tagneveket kellett megadnia.

requiredZoneNames

string[]

A privát kapcsolati erőforráshoz zónanevek szükségesek.

systemData

Az erőforrás létrehozásával és utolsó módosításával kapcsolatos metaadatok.

Name Típus Description
createdAt

string (date-time)

Az erőforrás-létrehozás időbélyege (UTC).

createdBy

string

Az erőforrást létrehozó identitás.

createdByType

createdByType

Az erőforrást létrehozó identitás típusa.

lastModifiedAt

string (date-time)

Az erőforrás utolsó módosításának időbélyege (UTC)

lastModifiedBy

string

Az erőforrást legutóbb módosító identitás.

lastModifiedByType

createdByType

Az erőforrást legutóbb módosító identitás típusa.